Update

Beta
Updates an organization external provider. The path must contain the next version number to prevent race conditions. For example, if the current version of the provider is n, you will need to send a request to this endpoint with `/{id}/n+1` to update the provider. Updating historic versions is not supported. BadRequestError is returned when the NPI is already in use by another provider.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idUUIDRequired
The unique identifier for an OrganizationExternalProvider in the database
versionstringRequired

Request

This endpoint expects an object.
nameobjectRequired
typeslist of enumsRequired
Allowed values:
npistringOptional
tax_idstringOptional
taxonomy_codestringOptional
phone_numberstringOptional
fax_numberstringOptional
license_typeenumOptional
addresseslist of objectsOptional

Response

This endpoint returns an object.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
idUUID
The unique identifier for an OrganizationExternalProvider in the database
nameobject
organization_idstring
The organization that owns this object.
typeslist of enums
Allowed values:
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
addresseslist of objects
fax_numberstring
license_typeenum
npistring
phone_numberstring
tax_idstring
taxonomy_codestring

Errors

400
Bad Request Error
404
Not Found Error
409
Version Conflict Error